--- title: "Search DB upload" slug: "analytics-cloudsearch-getdbupload" updated: 2026-09-17T09:48:02Z published: 2026-09-17T09:48:02Z canonical: "api.ncloud-docs.com/analytics-cloudsearch-getdbupload" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Search DB upload Search the usage history of the DB upload feature for the domain. Data is only output when the DB upload feature is used for the domain. ``` GET https://cloudsearch.apigw.ntruss.com/CloudSearch/real/v1/domain/{name}/document/manage/db_upload ``` ## Request ### Request parameters | Parameter name | Requirement status | Type | Restrictions | Explanation | | --- | --- | --- | --- | --- | | name | Yes | string | Domain name created | Domain name to search autocomplete history | | limit | Yes | number | Min:1 MAX:30 | Pagination Limit | | page | Yes | number | | Pagination Offset | ## Response ### Response body | Field name | Requirement status | Type | Explanation | Remarks | | --- | --- | --- | --- | --- | | cnt | Yes | number | Total data count | | | page | Yes | number | Page | | | limit | Yes | number | Limit | | | userDbUploadList | Yes | List<[UserDbUpload](/ko/common/api_data_type/csuserdbuploadlist)> | DB upload call information | | ### Response statuses | HTTP status | Desc | | --- | --- | | 200 | OK (Successfully searched) | | 400 | Bad Request | | 401 | Unauthorized | | 403 | Forbidden | | 404 | Not Found | | 500 | Internal Server Error | ## Example ### Request example ``` GET /CloudSearch/real/v1/domain/eeee/document/manage/db_upload?limit=10&page=0 HTTP/1.1 Host: cloudsearch.apigw.ntruss.com accept:application/json ``` ### Response example ``` { "cnt": 9, "page": 0, "limit": 2, "userDbUploadList": [ { "name": "db_upload", "dbKind": "mysql", "host": "", "port": 3306, "user": "root", "password": "0708", "db": "cloud_search", "charset": "utf8", "keyField": "id", "indexTypeField": "index_type", "sql": "select * from test_data", "connectTimeout": 4, "createdDate": "2020-11-02T06:26:15.792Z", "updatedDate": "2020-11-02T06:26:15.792Z" }, { "name": "db_upload", "dbKind": "mysql", "host": "", "port": 3306, "user": "root", "password": "0708", "db": "cloud_search", "charset": "utf8", "keyField": "id", "indexTypeField": "index_type", "sql": "select * from test_data", "connectTimeout": 4, "createdDate": "2020-11-02T06:14:07.255Z", "updatedDate": "2020-11-02T06:14:07.255Z" } ] } ```